echo "Welcome!"

currentDir=pwd

sudo pacman-key --recv-keys 7931B6D628C8D3BA
sudo pacman-key --finger 7931B6D628C8D3BA
sudo pacman-key --lsign-key 7931B6D628C8D3BA

curl -O https://mirrors.tuna.tsinghua.edu.cn/arch4edu/any/arch4edu-keyring-20200805-1-any.pkg.tar.zst
pacman -U arch4edu-keyring-20200805-1-any.pkg.tar.zst

echo "

Installed arch4edu keyring, running reflector to update pacman mirrorlist...

"
sudo pacman -Syu base-devel git reflector
sudo reflector -c 'Switzerland, Germany' --sort 'rate' --protocol https --latest 10 --save /etc/pacman.d/mirrorlist

echo "

Mirrorlist created, installing yay

"

cd /tmp
git clone https://aur.archlinux.org/yay.git
cd yay && makepkg -si

echo "

yay installed, updating & installing

"

yay -Syu

# Hyprland
yay -S hyprland hypridle hyprfreeze hyprlock plymouth dunst rofi wlogout waybar xdg-desktop-portal-hyprland pipewire pipewire-alsa pipewire-pulse pipewire-jack mesa thunar yazi wireplumber grimblast wl-clipboard wget ttf-fantasque-nerd ttf-jetbrains-mono-nerd ttf-fluentui-system-icons ttf-comfortaa

# Core
yay -S fish adobe-source-code-pro-fonts gnome-font-viewer gnome-characters gnome-tweaks lxappearance kvantum gnome-keyring smartmontools ffmpeg polkit-gnome swaybg network-manager-applet polkit-kde-agent cpupower-gui

# Programming
yay -S meld docker vscodium kitty fish docker terminator ghex nodejs npm python-pip git-credential-manager-core-bin wine kate rustup cargo filezilla typescript-language-server php jdk vscode-css-languageserver vscode-html-languageserver bash-language-server lazygit
sudo npm i -g @vue/typescript-plugin

# nvim
yay -S neovim lua lua-language-server tree-sitter texlab stylua luarocks jdtls perl julia autojump pyright

# Internet
yay -S librewolf-bin webcord-bin thunderbird rustdesk brave-bin

# Utilities
yay -S okular vlc nextcloud-client p7zip zip unzip gnome-keyring noto-fonts thunderbird pamixer pavucontrol light neofetch bashtop hugo sddm uxplay upower

# LaTeX
yay -S texlive biber
